=== debian/changelog ===
ros-indigo-gazebo-ros (2.4.16-1trusty) trusty; urgency=high

  * gazebo_ros_api_plugin: improve plugin xml parsing (#731 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/731>)
    An xml comment that start with plugin causes a seg-fault:
    <!--plugin-->
    or
    <!--plugin filename="lib.so"/-->
    This fixes the xml parsing to not try to add child elements
    to xml comments.
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.15-1trusty) trusty; urgency=high

  * Fix build (#600 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/600>)
    This reverts commit 3f12a2ec3c4e0d91541bd533a0d6290d9d4d0558.
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Tue, 08 Aug 2017 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.14-1trusty) trusty; urgency=high

  * fixed conflicts
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Fri, 23 Jun 2017 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.13-1trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Mon, 27 Feb 2017 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.12-1trusty) trusty; urgency=high

  * Fixed getLinkState service's angular velocity return
  * Contributors: Jared

 -- John Hsu <hsu@osrfoundation.org>  Sat, 26 Nov 2016 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.11-1trusty) trusty; urgency=high

  * GAZEBO_MASTER_URI is loaded from setup.sh if empty in environment.
  * Honor GAZEBO_MASTER_URI for gzserver.
  * Honor GAZEBO_MASTER_URI for gzclient.
  * Fix string replacement to look for mesh filename surrounded by single or double quotes. Also do not replace unless there are two slashes after package
  * Merge pull request #423 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/423> from furushchev/fix-include
    [gazebo_ros] fix include path
  * Include {PROJECT_NAME}_EXPORTED_TARGETS into dependencies for dynamic reconfiguration
  * [gazebo_ros] put header file to standard catkin include path
  * Add rostest to accompany range plugin world
  * Follow ROS documentation and depend on catkin_EXPORTED_TARGETS
  * Remove all references to gazebo_msgs_gencpp (ghost)
  * missing link_directories()
  * add option to change package:// to model:// when loading urdf file
  * Contributors: Bence Magyar, John Hsu, Jose Luis Rivero, Kei Okada, Martin Pecka, Steven Peters, Yuki Furuta

 -- John Hsu <hsu@osrfoundation.org>  Wed, 13 Jul 2016 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.10-1trusty) trusty; urgency=high

  * Fix invalid signal name on OS X
    scripts/gazebo: line 30: kill: SIGINT: invalid signal specification
  * Restart package resolving from last position, do not start all over.
  * Contributors: Boris Gromov, Guillaume Walck

 -- John Hsu <hsu@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.9-1trusty) trusty; urgency=high

  * Import changes from jade-branch
  * Add range world and launch file
  * fix crash
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Bence Magyar, Ian Chen, Jose Luis Rivero, Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.8-1trusty) trusty; urgency=high

  * Specify physics engine in args to empty_world.launch
  * Contributors: Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.7-1trusty) trusty; urgency=high

  * temporary hack to **fix** the -J joint position option (issue #93 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/93>), sleeping for 1 second to avoid race condition. this branch should only be used for debugging, merge only as a last resort.
  * Fixing set model state method and test
  * Extended the fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> also to debug, gazebo, gzclient and perf scripts.
  * Update Gazebo/ROS tutorial URL
  * [gazebo_ros] Fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246>
    Fixing issue #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> in gzserver.
  * Fixing handling of non-world frame velocities in setModelState.
  * update headers to apache 2.0 license
  * update headers to apache 2.0 license
  * Contributors: John Hsu, Jose Luis Rivero, Martin Pecka, Tom Moore, ayrton04

 -- John Hsu <hsu@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-gazebo-ros (2.4.6-1trusty) trusty; urgency=high

  * Merge pull request #232 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/232> from ros-simulation/fix_get_physics_properties_non_ode
    Fix get physics properties non ode
  * Merge pull request #183 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/183> from ros-simulation/issue_182
    Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * Fixes for calling GetParam() with different physic engines.
  * 2.3.6
  * Update changelogs for the upcoming release
  * Fixed boost any cast
  * Removed a few warnings
  * Update for hydro + gazebo 1.9
  * Fix build with gazebo4 and indigo
  * Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
    There were some errors in STL iterators.
    Initialized values of member variables in constructor.
    Removed an unused variable (model_name).
  * Contributors: Carlos Agüero, John Hsu, Jose Luis Rivero, Nate Koenig, Steven Peters, hsu, osrf

 -- John Hsu <hsu@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-gazebo-ros (2.4.5-1trusty) trusty; urgency=high

  * Port fix_build branch for indigo-devel
    See pull request #221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/221>

