=== debian/control ===
Source: ros-indigo-gazebo-ros
Section: misc
Priority: extra
Maintainer: John Hsu <hsu@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), gazebo2, libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-roslib, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, libtinyxml-dev, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-roslib, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo
